"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function sortCanonically(elements) {
    return elements.sort((a, b) => {
        const aClassOrder = a.tagClass;
        const bClassOrder = b.tagClass;
        if (aClassOrder !== bClassOrder) {
            return (aClassOrder - bClassOrder);
        }
        return Buffer.compare(a.toBytes(), b.toBytes());
    });
}
exports.default = sortCanonically;
//# sourceMappingURL=sortCanonically.js.map