"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const EmbeddedPDV_1 = tslib_1.__importDefault(require("../../../types/EmbeddedPDV"));
const decodeSequence_1 = tslib_1.__importDefault(require("../../der/decoders/decodeSequence"));
function decodeEmbeddedPDV(value) {
    const components = (0, decodeSequence_1.default)(value);
    const identification = components[0];
    const dataValue = components[1].octetString;
    return new EmbeddedPDV_1.default(identification, dataValue);
}
exports.default = decodeEmbeddedPDV;
//# sourceMappingURL=decodeEmbeddedPDV.js.map