"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CharacterString {
    constructor(identification, stringValue) {
        this.identification = identification;
        this.stringValue = stringValue;
    }
    toString() {
        return ("CHARACTER STRING { "
            + `identification ${this.identification.toString()} `
            + `dataValue ${Array.from(this.stringValue).map((byte) => byte.toString(16)).join("")} `
            + "}");
    }
    toJSON() {
        return {
            identification: this.identification.toJSON(),
            dataValue: Array.from(this.stringValue).map((byte) => byte.toString(16)).join(""),
        };
    }
}
exports.default = CharacterString;
//# sourceMappingURL=CharacterString.js.map