import { INTEGER, OPTIONAL } from "../../macros";
export default class DURATION_EQUIVALENT {
    readonly years: OPTIONAL<INTEGER>;
    readonly months: OPTIONAL<INTEGER>;
    readonly weeks: OPTIONAL<INTEGER>;
    readonly days: OPTIONAL<INTEGER>;
    readonly hours: OPTIONAL<INTEGER>;
    readonly minutes: OPTIONAL<INTEGER>;
    readonly seconds: OPTIONAL<INTEGER>;
    readonly fractional_part: OPTIONAL<{
        number_of_digits: INTEGER;
        fractional_value: INTEGER;
    }>;
    constructor(years: OPTIONAL<INTEGER>, months: OPTIONAL<INTEGER>, weeks: OPTIONAL<INTEGER>, days: OPTIONAL<INTEGER>, hours: OPTIONAL<INTEGER>, minutes: OPTIONAL<INTEGER>, seconds: OPTIONAL<INTEGER>, fractional_part: OPTIONAL<{
        number_of_digits: INTEGER;
        fractional_value: INTEGER;
    }>);
    toString(): string;
    toJSON(): unknown;
}
//# sourceMappingURL=DURATION-EQUIVALENT.d.ts.map