import ASN1Element from "./asn1";
import type { INTEGER, OBJECT_IDENTIFIER, ENUMERATED, RELATIVE_OID, TIME, DATE, TIME_OF_DAY, DATE_TIME, OID_IRI, RELATIVE_OID_IRI } from "./macros";
export default abstract class X690Element extends ASN1Element {
    set integer(value: INTEGER);
    get integer(): INTEGER;
    set objectIdentifier(value: OBJECT_IDENTIFIER);
    get objectIdentifier(): OBJECT_IDENTIFIER;
    set enumerated(value: ENUMERATED);
    get enumerated(): ENUMERATED;
    set relativeObjectIdentifier(value: RELATIVE_OID);
    get relativeObjectIdentifier(): RELATIVE_OID;
    set time(value: TIME);
    get time(): TIME;
    set date(value: DATE);
    get date(): DATE;
    set timeOfDay(value: TIME_OF_DAY);
    get timeOfDay(): TIME_OF_DAY;
    set dateTime(value: DATE_TIME);
    get dateTime(): DATE_TIME;
    set oidIRI(value: OID_IRI);
    get oidIRI(): OID_IRI;
    set relativeOIDIRI(value: RELATIVE_OID_IRI);
    get relativeOIDIRI(): RELATIVE_OID_IRI;
}
//# sourceMappingURL=x690.d.ts.map